Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rendsite.commands
Class RenderStandard

    java.lang.Object
      rendsite.commands.RenderStandard

All Implemented Interfaces:
  Constants, things.common.ThingsConstants

    public class RenderStandard

extends java.lang.Object
implements Constants

A basic render entry command

Author:
  erich Version History

       10NOV09 - EPG - First package release.

Field Summary

Fields inherited from interface rendsite.Constants
`ERRORED, METAFILE_LOCAL_SUFFIX, METAFILE_PREFIX, NAME_BASE_FRAME_LOCATION, NAME_CATEGORY, NAME_CATEGORY_COMPLETE, NAME_CATEGORY_COMPLETE_EXISTING, NAME_CLEAR_REASON, NAME_DIRECTORY, NAME_DIRECTORY_DESTINATION, NAME_DIRECTORY_ERROR, NAME_DIRECTORY_FAULT, NAME_DIRECTORY_PANIC, NAME_DIRECTORY_SOURCE, NAME_ERROR, NAME_ERROR__BASE_CAUSE, NAME_ERROR__BASE_NUMERIC, NAME_ERROR__ROOT_CAUSE, NAME_ERROR_NUMBER, NAME_ERROR_NUMBER_ALLOWED, NAME_FAULT_NUMBER, NAME_FAULT_NUMBER_ALLOWED, NAME_FILE, NAME_FILE_DESTINATION, NAME_FILE_ERROR, NAME_FILE_EXCPECTED, NAME_FILE_FAULT, NAME_FILE_PANIC, NAME_FILE_RENDERED, NAME_FILE_SOURCE, NAME_FILTER, NAME_FILTER_TYPE, NAME_FRAME_LOCATION, NAME_LOCALE, NAME_METAFILE, NAME_METAFILE_LOCAL, NAME_REASON, NAME_RENDERER_CLASS, NAME_RENDERER_NAME, RENDSITE_NOTICE, UNKNOWN`

Fields inherited from interface things.common.ThingsConstants
`A_NOBODY, A_NOTHING, AN_UNKNOWN, CHEAP_LINESEPARATOR, CODEC_EQUALITY, CODEC_ESCAPE_CHARACTER, CODEC_PROPERTY_ESCAPE_CHARACTER, CODEC_QUOTING, CODEC_SEPARATOR_CHARACTER, CODEC_SEPARATOR_CHARACTER_ESCAPED, COPYRIGHT_NOTICE, CR, CRLF, DEFAULT_TRANSPORT_CONNECT_RETRIES, DEFAULT_TRANSPORT_CONNECT_RETRY_DELAY, EMPTY_STRING, EPIC_FAIL, FALSE, FS_FILE_DELETE_RETRIES, KERNEL_LOCK_TRY_LIMIT_MILLIS, LF, NEWLINE, PATH_SEPARATOR, PATH_SEPARATOR_STRING, TROOF, TRUE, WAYSA`

Constructor Summary
`RenderStandard()`

Method Summary
`void` | `run(RenderConfiguration configuration, java.io.File sourcefile, java.io.File destinationFile)` Run the command.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RenderStandard

    public RenderStandard()

Method Detail

### run

    public void run(RenderConfiguration configuration,
                    java.io.File sourcefile,
                    java.io.File destinationFile)
             throws java.lang.Throwable

  Run the command. The implementation should NOT persist any state! It's up the the creator to decide if to keep the command object around. Any exception that finds its way out will be stopped and logged. Obviously, ThingsExceptions will provide richer detail than plain Exceptions.

  Throws:
    `java.lang.Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

rendsite.